$(document).ready(function() {
    function showCoverage() {
        $.getJSON("tests/reports/ldp-earl-manifest-all.jsonld", function(manifest) {
            $.each(manifest["@graph"], function(index, resource) {
                var type = resource["rdf:type"];
                if (type && "earl:TestCase" === type["@id"] && resource.seeAlso) {
                    var id = resource.seeAlso.split("#", 2)[1];
                    var section = $("section[id|='" + id + "']");
                    if (section) {
                        section.addClass("coverage");
                        if ("ldpt:automated" === resource.testMethod) {
                            section.addClass("automated");
                            section.removeClass("manual");
                            section.removeClass("notTested");
                        } else if ("ldpt:manual" === resource.testMethod) {
                            section.addClass("manual");
                            section.removeClass("notTested");
                        } else if ("ldpt:clientOnly" === resource.testMethod) {
                            section.addClass("clientOnly");
                        } else {
                            section.addClass("unimplemented");
                        }

                        var reviewStatus =  resource.reviewStatus.split(":").pop();
                        section.children().last().after($('<span></span>')
                            .addClass('test')
                            .append($('<a></a>', {
                                text: resource["rdfs:label"] + " (" + reviewStatus + ")",
                                href: resource.documentation
                            })));
                    }
                }
            });
            loaded = true;
        });
    }

    var checkbox = $('#showCoverage');
    // sometimes the checkbox will be checked on page refreshed (even if no checked attr in the HTML)
    if (checkbox.prop('checked')) {
        showCoverage();
    }

    checkbox.click(function() {
        var $this = $(this);
        if ($this.is(':checked')) {
            showCoverage();
        } else {
            $(".coverage").removeClass("coverage automated manual clientOnly unimplemented");
            $(".test").remove();
        }
    });
});

